<!-- Copyright 2020 The Chromium Authors. All rights reserved.
Use of this source code is governed by a BSD-style license that can be
found in the LICENSE file. -->

<link rel="import" href="chrome://resources/cr_elements/shared_vars_css.html">
<link rel="import" href="chrome://resources/html/i18n_behavior.html">

<link rel="import" href="chrome://oobe/custom_elements.html">

<link rel="import" href="/components/common_styles.html">
<link rel="import" href="/components/hd_iron_icon.html">
<link rel="import" href="/components/oobe_dialog.html">
<link rel="import" href="/components/oobe_i18n_behavior.html">

<dom-module id="family-link-notice-element">
  <template>
    <style include="oobe-dialog-host"></style>
    <oobe-dialog id="familyLinkDialog" role="dialog" has-buttons
        aria-label$="[[getDialogTitle_(locale, email_, domain_)]]">
      <hd-iron-icon slot="oobe-icon"
          icon1x="oobe-32:family" icon2x="oobe-64:family">
      </hd-iron-icon>
      <h1 slot="title">[[getDialogTitle_(locale, email_, domain_)]]</h1>
      <div slot="subtitle">
        [[getDialogSubtitle_(locale, isNewGaiaAccount_, email_, domain_)]]
      </div>
      <div slot="footer" class="flex layout vertical center center-justified">
        <img srcset="images/1x/parental_control.svg 1x,
            images/2x/parental_control.svg 2x" class="oobe-illustration"
            alt$="[[i18nDynamic(locale, 'familyLinkDialogTitle')]]">
      </div>
      <div slot="bottom-buttons" class="layout horizontal end-justified">
        <oobe-next-button id="continueButton"
            text-key="familyLinkContinueButton" class="focus-on-show"
            inverse on-click="onContinueButtonPressed_"></oobe-next-button>
      </div>
    </oobe-dialog>
  </template>
</dom-module>
